SDL_GetGamepadTouchpadFinger(3)

NAME
SDL_GetGamepadTouchpadFinger - Get the current state of a finger on a touchpad on a gamepad.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

bool SDL_GetGamepadTouchpadFinger(SDL_Gamepad *gamepad, int touchpad, int finger, bool *down, float *x, float *y, float *pressure);

FUNCTION PARAMETERS

gamepad
    a gamepad.

touchpad
    a touchpad.

finger
    a finger.

down
    a pointer filled with true if the finger is down, false otherwise, may be NULL.

x   a pointer filled with the x position, normalized 0 to 1, with the origin in the upper left, may be NULL.

y   a pointer filled with the y position, normalized 0 to 1, with the origin in the upper left, may be NULL.

pressure
    a pointer filled with pressure value, may be NULL.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetNumGamepadTouchpadFingers(3)